Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

cancel
Showing results for 
Search instead for 
Did you mean: 
Active Member II

Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

Hi Everyone,

I installed alfresco enterprise 6.0 working fine, i deployed OOTB Alfresco RM Enterprise(3.0 version) Amps in alfresco 6.0,

But i am facing following issue, can any suggest me please, how to solve this issue

2018-11-28 06:18:11,377 WARN [org.springframework.web.context.support.XmlWebApplicationContext] [localhost-startStop-1] Exception encountered during context initialization - cancelling refresh attempt: org.springframework.beans.factory.NoSuchBeanDefinitionException: No bean named 'Can't find bean 'simpleMappingExceptionResolverParent' to be extended.' available
2018-11-28 06:18:11,385 ERROR [org.springframework.web.context.ContextLoader] [localhost-startStop-1] Context initialization failed
org.springframework.beans.factory.NoSuchBeanDefinitionException: No bean named 'Can't find bean 'simpleMappingExceptionResolverParent' to be extended.' available
at org.alfresco.util.BeanExtender.postProcessBeanFactory(BeanExtender.java:80)
at org.springframework.context.support.PostProcessorRegistrationDelegate.invokeBeanFactoryPostProcessors(PostProcessorRegistrationDelegate.java:284)
at org.springframework.context.support.PostProcessorRegistrationDelegate.invokeBeanFactoryPostProcessors(PostProcessorRegistrationDelegate.java:179)
at org.springframework.context.support.AbstractApplicationContext.invokeBeanFactoryPostProcessors(AbstractApplicationContext.java:693)
at org.springframework.context.support.AbstractApplicationContext.refresh(AbstractApplicationContext.java:531)
at org.springframework.web.context.ContextLoader.configureAndRefreshWebApplicationContext(ContextLoader.java:409)
at org.springframework.web.context.ContextLoader.initWebApplicationContext(ContextLoader.java:291)
at org.springframework.web.context.ContextLoaderListener.contextInitialized(ContextLoaderListener.java:103)
at org.alfresco.web.app.ContextLoaderListener.contextInitialized(ContextLoaderListener.java:70)
at org.apache.catalina.core.StandardContext.listenerStart(StandardContext.java:5110)
at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5633)
at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:145)
at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:1015)
at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:991)
at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:652)
at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1127)
at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:2020)
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:748)

1 Solution

Accepted Solutions
Alfresco Employee

Re: Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

For faster response, I suggest you also contact Alfresco Support (if you haven't already) ?

Regards,

Jan

View solution in original post

4 Replies
Alfresco Employee

Re: Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

For faster response, I suggest you also contact Alfresco Support (if you haven't already) ?

Regards,

Jan

View solution in original post

Master

Re: Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

Agreed. Any issues with out-of-the-box Enterprise modules should be addressed with Support. Especially if this affects the most recent version(s) of products...

Member II

Re: Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

Could  you pls post solution of this. I am also facing similar issue.

Alfresco Employee

Re: Error Facing with Alfresco Enterprise 6.0 with Alfresco Governance services 3.0

Jump to solution

Hi,

This post is now over a year old, hence likely out-of-date.

As above, if you're an ACS Enterprise customer then please contact Alfresco Support directly - they will be able to help you.

If you're using ACS Community (with RM Community) and are seeing the same, similar or possibly different issue then I suggest raising a new forum posting with as much detail as possible about your environment, including exact versions, steps taken to deploy and full log files from startup etc.

Regards,

Jan